View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000129Ecere SDKidepublic2008-08-22 21:242014-05-19 01:32
Reporterrohypnol 
Assigned Tojerome 
PriorityimmediateSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0000129: Strings in the Watches window
DescriptionLiteral strings aren't evaluated properly in the Watches window, they always evaluate to null.
"ABC"[0] should produce 65 but in stead it produces "Memory can't be read at (null)" and "ABC" should produce a string "ABC" but instead it produces "0x00000000 Null string". This is to allow watches such as "someteststring"[i] where i is a user variable.
(char*)"ABC" should produce "ABC" but instead it produces "Evaluation failed for "(char*)"ABC"" of type "CastExp""

Low priority.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001259)
jerome (administrator)
2014-05-03 23:37

Fixed by:
https://github.com/ecere/ecere-sdk/commit/fa67a6c6dbbfc7481e3af0925ad1bc5812b16f74 [^]

- Issue History
Date Modified Username Field Change
2008-08-22 21:24 rohypnol New Issue
2010-07-25 22:30 redj Relationship added child of 0000430
2012-03-08 16:52 redj Target Version => 0.45 Ginkakuji
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2013-04-25 20:20 jerome Target Version 0.45 Ginkakuji => 0.44.5 Debug
2014-05-01 02:10 jerome Assigned To => jerome
2014-05-01 02:10 jerome Priority normal => immediate
2014-05-01 02:10 jerome Status new => assigned
2014-05-01 02:10 jerome Target Version 0.44.70 Debug => 0.44.10 64
2014-05-03 23:37 jerome Status assigned => resolved
2014-05-03 23:37 jerome Fixed in Version => 0.44.10 64
2014-05-03 23:37 jerome Resolution open => fixed
2014-05-03 23:37 jerome Note Added: 0001259
2014-05-19 01:32 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker